Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.services
Class PerthreadManagerImpl

    java.lang.Object
      org.apache.tapestry5.ioc.internal.services.PerthreadManagerImpl

All Implemented Interfaces:
  PerthreadManager

    public class PerthreadManagerImpl

extends java.lang.Object
implements PerthreadManager

Constructor Summary
`PerthreadManagerImpl(org.slf4j.Logger logger)`

Method Summary
`void` | `addThreadCleanupListener(ThreadCleanupListener listener)` Adds a listener to the hub.
`void` | `cleanup()` Instructs the hub to notify all its listeners (for the current thread).
`
`<T> PerThreadValue<T>`
` | `createValue()` Creates a value using a unique internal key.
`
`<T> T`
` | `invoke(Invokable<T> invokable)` Returns the result from the invocation, providing a try...finally to cleanup after.
`void` | `registerForShutdown(RegistryShutdownHub hub)`
`void` | `run(java.lang.Runnable runnable)` Invokes `Runnable.run()`, providing a try...finally to cleanup after.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerthreadManagerImpl

    public PerthreadManagerImpl(org.slf4j.Logger logger)

Method Detail

### registerForShutdown

    public void registerForShutdown(RegistryShutdownHub hub)

### addThreadCleanupListener

    public void addThreadCleanupListener(ThreadCleanupListener listener)

  Description copied from interface: `PerthreadManager`
  Adds a listener to the hub. All listeners are discarded at the `PerthreadManager.cleanup()`.

  Specified by:
    `addThreadCleanupListener` in interface `PerthreadManager`
  Parameters:
    `listener` - to add

### cleanup

    public void cleanup()

  Instructs the hub to notify all its listeners (for the current thread). It also discards its list of listeners.

  Specified by:
    `cleanup` in interface `PerthreadManager`

### createValue

    public <T> PerThreadValue<T> createValue()

  Description copied from interface: `PerthreadManager`
  Creates a value using a unique internal key.

  Specified by:
    `createValue` in interface `PerthreadManager`

### run

    public void run(java.lang.Runnable runnable)

  Description copied from interface: `PerthreadManager`
  Invokes `Runnable.run()`, providing a try...finally to cleanup after.

  Specified by:
    `run` in interface `PerthreadManager`

### invoke

    public <T> T invoke(Invokable<T> invokable)

  Description copied from interface: `PerthreadManager`
  Returns the result from the invocation, providing a try...finally to cleanup after.

  Specified by:
    `invoke` in interface `PerthreadManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.